Package gaia.cu9.tools.parallax.readers

# Class CsvSchema<T>

java.lang.Object
gaia.cu9.tools.parallax.readers.CsvSchema<T>

Direct Known Subclasses:
  `StarVariablesCsvSchema`

public abstract class CsvSchema<T> extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final Map<String,Integer>`
`columnIndexes`
`protected final double`
`distanceMultiplier`
`protected final int`
`nLinesToDiscard`
`protected final String`
`separators`
`protected final String`
`skipLineMarker`

## Constructor Summary

Constructors
Constructor
Description
`CsvSchema()`
Constructor

## Method Summary

Modifier and Type
Method
Description
`Integer`
`getColumnIndex(String key)`
`double`
`getDistanceMultiplier()`
`int`
`getNLinesToDiscard()`
`String`
`getSeparators()`
`String`
`getSkipLineMarker()`
`protected abstract Map<String,Integer>`
`setupColumnIndexes()`
`protected double`
`setupDistanceMultiplier()`
`protected int`
`setupNLinesToDiscard()`
`protected String`
`setupSeparators()`
`protected String`
`setupSkipLineMarker()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### separators

protected final String separators

### skipLineMarker

protected final String skipLineMarker

### columnIndexes

protected final Map<String,Integer> columnIndexes

### nLinesToDiscard

protected final int nLinesToDiscard

### distanceMultiplier

protected final double distanceMultiplier

## Constructor Details

### CsvSchema

public CsvSchema()
Constructor

## Method Details

### setupColumnIndexes

protected abstract Map<String,Integer> setupColumnIndexes()

### setupSeparators

protected String setupSeparators()

### setupSkipLineMarker

protected String setupSkipLineMarker()

### setupNLinesToDiscard

protected int setupNLinesToDiscard()

### setupDistanceMultiplier

protected double setupDistanceMultiplier()

### getColumnIndex

public Integer getColumnIndex(String key)

### getNLinesToDiscard

public int getNLinesToDiscard()

### getSeparators

public String getSeparators()

### getSkipLineMarker

public String getSkipLineMarker()

### getDistanceMultiplier

public double getDistanceMultiplier()